Part Box/ru: Difference between revisions

From FreeCAD Documentation
(Created page with "{{Docnav/ru | |Цилиндр |Верстак Part |IconL= |IconR=Part_Cylinder.svg |IconC=Workbench_Part.svg }}")
(Updating to match new version of source page)
Line 1: Line 1:
<languages/>
<languages/>

{{Docnav/ru
{{Docnav/ru
|
|
Line 17: Line 18:
}}
}}


== Description ==

<div class="mw-translate-fuzzy">
==Описание==
==Описание==
Команда Куб из [[Part_Workbench|верстака Part]] добавляет параметрический геометрический примитив [https://ru.wikipedia.org/wiki/Прямоугольный_параллелепипед] в текущий документ. По умолчанию, команда добавляет куб с ярлыком "Куб" со сторонами 10х10х10 мм и располагает его в центре системы координат. Эти параметры могут быть изменены после добавления объекта.
Команда Куб из [[Part_Workbench|верстака Part]] добавляет параметрический геометрический примитив [https://ru.wikipedia.org/wiki/Прямоугольный_параллелепипед] в текущий документ. По умолчанию, команда добавляет куб с ярлыком "Куб" со сторонами 10х10х10 мм и располагает его в центре системы координат. Эти параметры могут быть изменены после добавления объекта.
</div>


[[Image:Part_Box.jpg|400px|Part_Box]]
[[Image:Part_Box.jpg|400px|Part_Box]]

== Usage ==


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 34: Line 41:
The box properties can later be edited, either in the property editor or by double-clicking on the box in the model tree.
The box properties can later be edited, either in the property editor or by double-clicking on the box in the model tree.


==Properties==
== Properties ==
{{Properties_Title|Base}}
*{{PropertyData|Placement}}: Specifies the orientation and position of the Box in the 3D space. See [[Placement|Placement]]. The reference point is the left front lower corner of the box.
*{{PropertyData|Label}}: Label given to the Box object. Change to suit your needs.


{{Properties_Title|Box}}
{{Properties_Title|Box}}

*{{PropertyData|Length}}: The length parameter is the Box's dimension in the x-direction.
*{{PropertyData|Length}}: The length parameter is the Box's dimension in the x-direction.
*{{PropertyData|Width}}: The width parameter is the Box's dimension in the y-direction.
*{{PropertyData|Width}}: The width parameter is the Box's dimension in the y-direction.
*{{PropertyData|Height}}: The height parameter is the Box's dimension in the z-direction.
*{{PropertyData|Height}}: The height parameter is the Box's dimension in the z-direction.


== Scripting ==
[[Image:Part_Box-Properties.jpg|Part_Box-Properties]]

A Part Box can be created using the following function:


==Scripting==
The Box command can by used in [[Macros|macros]] and from the python console using the following function:
{{Code|code=
{{Code|code=
FreeCAD.ActiveDocument.addObject("Part::Box", "myBox")
box = FreeCAD.ActiveDocument.addObject("Part::Box", "myBox")
}}
}}
* Where "myBox" is the label for the Box object.
* Returns newly created object of type Box.


* Where {{Incode|"myBox"}} is the name for the object.
You can access and modify attributes of the Box object. For example, you may wish to modify the length, width and height parameters.
* The function returns the newly created object.

You can access and modify attributes of the {{Incode|box}} object. For example, you may wish to modify the length, width and height parameters.

{{Code|code=
{{Code|code=
FreeCAD.ActiveDocument.myBox.Length = 25
box.Length = 25
FreeCAD.ActiveDocument.myBox.Width = 15
box.Width = 15
FreeCAD.ActiveDocument.myBox.Height = 30
box.Height = 30
}}
}}


You can change its placement with:
You can change its placement with:

{{Code|code=
{{Code|code=
FreeCAD.ActiveDocument.myBox.Placement = FreeCAD.Placement(FreeCAD.Vector(4, 6, 3), FreeCAD.Rotation(30, 45, 10))
box.Placement = FreeCAD.Placement(FreeCAD.Vector(4, 6, 3), FreeCAD.Rotation(30, 45, 10))
}}
}}



Revision as of 14:02, 8 January 2022

Куб

Системное название
Part_Box
Расположение в меню
Деталь → Примитивы → Куб
Верстаки
Part
Быстрые клавиши
Нет
Представлено в версии
-
См. также
Создать примитивы

Description

Описание

Команда Куб из верстака Part добавляет параметрический геометрический примитив [1] в текущий документ. По умолчанию, команда добавляет куб с ярлыком "Куб" со сторонами 10х10х10 мм и располагает его в центре системы координат. Эти параметры могут быть изменены после добавления объекта.

Part_Box

Usage

Использование

  1. Переключитесь на верстак Part
  2. Существует несколько способов вызова команды:
    • Нажмите на иконку куба на панели инструментов.
    • Выберите из меню Деталь → Примитивы → Куб.

Result: The default result is a box with an equal length, width and height of 10 mm. It is attached to the global xy-plane and one edge is coincident with the global z-axis.

The box properties can later be edited, either in the property editor or by double-clicking on the box in the model tree.

Properties

Box

  • ДанныеLength: The length parameter is the Box's dimension in the x-direction.
  • ДанныеWidth: The width parameter is the Box's dimension in the y-direction.
  • ДанныеHeight: The height parameter is the Box's dimension in the z-direction.

Scripting

A Part Box can be created using the following function:

box = FreeCAD.ActiveDocument.addObject("Part::Box", "myBox")
  • Where "myBox" is the name for the object.
  • The function returns the newly created object.

You can access and modify attributes of the box object. For example, you may wish to modify the length, width and height parameters.

box.Length = 25
box.Width = 15
box.Height = 30

You can change its placement with:

box.Placement = FreeCAD.Placement(FreeCAD.Vector(4, 6, 3), FreeCAD.Rotation(30, 45, 10))